const getContractFactory = require("./deploy");

async function main() {
  let vmCreateContract = await getContractFactory("CloudVmTask");
  let taskId = "111-222-254";
  // await AddVirtualMachine(vmCreateContract, taskId);
  // await GetVmId(vmCreateContract, taskId);
  await GetVmCreateProgress(vmCreateContract, taskId);
}

async function AddVirtualMachine(vmCreateContract, taskId) {
  let addRes = await vmCreateContract.addVirtualMachine(taskId, "192.168.1.109", "Inter", 1, 8, "A100", 1, 4096, "windows-10", "aws");
  await addRes.wait();
  console.log("addRes", addRes);
}

async function GetVmId(vmCreateContract, taskId) {
  let getRes = await vmCreateContract.getVmId(taskId);
  console.log("getRes", getRes);
}

async function GetTaskId(vmCreateContract, start, count) {
  let getRes = await vmCreateContract.getTaskId(start, count);
  console.log("getRes", getRes);
}

async function GetVmCreateProgress(vmCreateContract, taskId) {
  let getRes = await vmCreateContract.getVmCreateProgress(taskId);
  console.log("getRes", getRes);
}

main().catch((error) => {
  console.error(error);
  process.exitCode = 1;
});